      PROGRAM MAKETS

C     Makes the time series file for a particular wavelet

      INTEGER PRTFIL
      PARAMETER ( PRTFIL = 6, MAXNT = 20000, NSD = 1,
     &            PI = 3.141592 )

      REAL TV( MAXNT )
      COMPLEX SF( MAXNT )
      CHARACTER PULSE*4, PULSTITL*80

C     *** Read in data ***

C     WRITE( PRTFIL, * ) 'Pulse type = '
      READ( *, * ) PULSE(1:1)

C     WRITE( PRTFIL, * ) 'Nominal frequency = '
      READ( *, * ) FREQ
      OMEGA  = 2.0 * PI * FREQ

C     WRITE( PRTFIL, * ) 'NT, TMIN, TMAX'
      READ( *, * ) NT, TMIN, TMAX
      DELTAT = ( TMAX - TMIN ) / ( NT - 1 )

      IT0 = 1

C     *** step through time, evaluating waveform ***

      DO IT = 1, NT
         TV( IT ) = TMIN + ( IT - 1 ) * DELTAT

         CALL CANS( TV( IT ), OMEGA, PULSE,
     &              SF( IT ), NSD, IT0, PULSTITL )

         WRITE( PRTFIL, * ) TV( IT ), REAL( SF( IT ) )
      END DO

      STOP
      END
